<?php

class JFormFieldModuleIdOverride extends JFormField {
	public $type = 'ModuleIdOverride';

	protected function getInput() {
		$module_positions = explode(',', $this->element['module_positions']);
		$options_mp = array();

		foreach($module_positions as $pos) {
			$options_mp[] = JHtml::_('select.option', $pos, $pos);
		}

		$html = '';
		$html .= '<div id="moduleid_override_form">';
		$html .= '<div class="input-group"><span class="input-group-addon">' . JText::_('TPL_GK_LANG_ADD_RULE_MOD_POS') . '</span>';
		$html .= JHtml::_('select.genericlist', $options_mp, 'name', 'class="form-control custom-select"', 'value', 'text', 'default', 'moduleid_override_input').'</div>';
		$html .= '<div class="input-group"><span class="input-group-addon">' . JText::_('TPL_GK_LANG_ADD_RULE_ID') . '</span>';
		$html .= '<input class="form-control" type="text" id="moduleid_override_select" />';
		$html .= '<span class="input-group-btn"><input class="btn btn-secondary" type="button" value="'.JText::_('TPL_GK_LANG_ADD_RULE').'" id="moduleid_override_add_btn" /></span></div>';
		$html .= '<textarea name="'.$this->name.'" id="'.$this->id.'">' . htmlspecialchars($this->value, ENT_COMPAT, 'UTF-8') . '</textarea>';
		$html .= '<div id="moduleid_override_rules"></div>';
		$html .= '</div>';

		return $html;
	}
}